<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST, GET, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type");
header("Content-Type: application/json"); // Set response content type to JSON

// Database credentials
$servername = "localhost";
$username = "apihghgu_kyle";
$password = "horoskop123";
$database = "apihghgu_horoskop_j25";

// Create connection
$conn = new mysqli($servername, $username, $password, $database);

// Check connection
if ($conn->connect_error) {
    // Return error response if connection fails
    echo json_encode(array('error' => 'Connection failed: ' . $conn->connect_error));
    exit; // Terminate script execution
}

if ($_SERVER["REQUEST_METHOD"] === "POST" && isset($_POST['search'])) {
    $cityName1 = '%' . $_POST['search'] . '%';
    $cityName = $_POST['search'];

    $stmt = $conn->prepare("SELECT * FROM `world_database_all_new` WHERE place LIKE ? ORDER BY place ASC LIMIT 8");
    $stmt->bind_param("s", $cityName1);
    $stmt->execute();
    $result = $stmt->get_result();

    $data = array();
    if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) {
            $data[] = $row;
        }
    } else {
        // No results found
        echo json_encode(array('error' => 'No results found'));
        exit; // Terminate script execution
    }

    // Return JSON response with data
    echo json_encode($data);
} else {
    // Invalid request
    echo json_encode(array('error' => 'Invalid request'));
}

// Close database connection
$conn->close();
?>